GuiCommand: Name: Reinforcement StirrupRebar MenuLocation: 3D/BIM , Reinforcement tools , Stirrup Workbenches: Reinforcement_Workbench, BIM_Workbench Version: 0.17 SeeAlso:
Reinforcement StirrupRebar
Description
The Reinforcement StirrupRebar tool allows the user to create a set of stirrup reinforcing bars inside an Arch Structure object.
This tool is part of the Reinforcement Workbench, an external workbench that can be installed with the Addon Manager.
![](https://raw.githubusercontent.com/FreeCAD/FreeCAD-documentation/master/wiki/images/Arch_Rebar_Stirrup_example.png)
Usage
-
Select any face of a previously created
Arch Structure object.
-
Then select
Stirrup from the rebar tools.
-
A task panel will pop-out on the left side of the screen as shown below.
-
Select the desired orientation.
-
Populate the inputs like \'Left Cover\', \'Right Cover\', \'Top Cover\', \'Bottom Cover\', \'Front Cover\', \'Bent Angle\', \'Bent Factor\', \'Rounding\' and \'Diameter\' of the rebar.
-
Select the mode of distribution either \'Amount\' or \'Spacing\'.
- If \'Spacing\' is selected, a user can also opt for custom spacing.
-
Pick Selected Faceis used to verify or change the face for rebar distribution.
-
Click OK or Apply to generate the rebars.
-
Click Cancel to exit the task panel.
![](https://raw.githubusercontent.com/FreeCAD/FreeCAD-documentation/master/wiki/images/StirrupDialog.png)
Properties
-
Front Cover: The distance between rebar and selected face.
-
Right Cover: The distance between the right end of the rebar to right face of the structure.
-
Left Cover: The distance between the left end of the rebar to the left face of the structure.
-
Bottom Cover: The distance between rebar from the bottom face of the structure.
-
Top Cover: The distance between rebar from the top face of the structure.
-
Bent Angle: Bent angle defines the angle at the ends of a stirrup.
-
Bent Factor: Bent Factor defines length of stirrup end.
-
Amount: The amount of rebars.
-
Spacing: The distance between the axes of each bar.
Scripting
See also:
Arch API, Reinforcement API and FreeCAD Scripting Basics.
The Reinforcement StirrupRebar tool can be used in macros and from the Python console by using the following function:
Rebar = makeStirrup(l_cover, r_cover, t_cover, b_cover, f_cover,
bentAngle, bentFactor, diameter, rounding, amount_spacing_check, amount_spacing_value,
structure=None, facename=None)
-
Creates a
Rebar
object from the givenstructure
, which is an Arch Structure, andfacename
, which is a face of that structure.- If no
structure
norfacename
are given, it will take the user selected face as input.
- If no
-
l_cover
,r_cover
,t_cover
,b_cover
, andf_cover
are inner offset distances for the rebar elements with respect to the faces of the structure. They are respectively the left, right, top, bottom, and front offsets. -
diameter
is the diameter of the reinforcement bars inside the structure. -
rounding
is the parameter that determines the bending radius of the reinforcement bars as they make a loop. -
bentLength
andbentAngle
define the length and angle of the tip of the reinforcement loop. -
amount_spacing_check
if it isTrue
it will create as many reinforcement loops as given byamount_spacing_value
; if it isFalse
it will create reinforcement loops separated by the numerical value ofamount_spacing_value
. -
amount_spacing_value
specifies the number of reinforcement loops, or the value of the separation between them, depending onamount_spacing_check
.
Example
import Draft, Arch, Stirrup
# It doesn't work if the structure is not based on a face
# Structure = Arch.makeStructure(length=1000, width=400, height=400)
Rect = Draft.makeRectangle(400, 400)
Structure = Arch.makeStructure(Rect, height=1600)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()
Rebar = Stirrup.makeStirrup(20, 20, 20, 20, 20,
115, 4, 8, 2, True, 10, Structure, "Face6")
Edition of the rebar
You can change the properties of the rebar with the following function:
editStirrup(Rebar, l_cover, r_cover, t_cover, b_cover, f_cover,
bentAngle, bentFactor, diameter, rounding, amount_spacing_check, amount_spacing_value,
structure=None, facename=None)
-
Rebar
is a previously createdStirrupRebar
object. -
The other parameters are the same as required by the
makeStirrup()
function. -
structure
andfacename
may be omitted so that the rebar stays in the original structure.
import Stirrup
Stirrup.editStirrup(Rebar, 20, 20, 20, 20, 50,
100, 4, 14, 8, True, 8)
⏵ documentation index > External_Command_Reference > Reinforcement > BIM > Reinforcement StirrupRebar
This page is retrieved from https://github.com/FreeCAD/FreeCAD-documentation/blob/main/wiki/Reinforcement_StirrupRebar.md